/* tslint:disable */
/* eslint-disable */
/**
 * OpenAPI definition
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


import { Link } from './link';
import { PageMetadata } from './page-metadata';
import { PagedModelEntityModelTransportCallEmbedded } from './paged-model-entity-model-transport-call-embedded';

/**
 * 
 * @export
 * @interface PagedModelEntityModelTransportCall
 */
export interface PagedModelEntityModelTransportCall {
    /**
     * 
     * @type {PagedModelEntityModelTransportCallEmbedded}
     * @memberof PagedModelEntityModelTransportCall
     */
    '_embedded'?: PagedModelEntityModelTransportCallEmbedded;
    /**
     * 
     * @type {{ [key: string]: Link; }}
     * @memberof PagedModelEntityModelTransportCall
     */
    '_links'?: { [key: string]: Link; };
    /**
     * 
     * @type {PageMetadata}
     * @memberof PagedModelEntityModelTransportCall
     */
    'page'?: PageMetadata;
}

